log4j.rootLogger=WARN,stdout,logfile



log4j.logger.gari.examples.TraceHeadlines=INFO
log4j.logger.gari.examples.ProfileExample=INFO
log4j.logger.gari.examples.ExpandedCacheExample=INFO
log4j.logger.gari.examples.ProfileExampleThread=INFO
log4j.logger.gari.examples.mediadClient=INFO
log4j.logger.gari.examples.ReadCountsExample=INFO
log4j.logger.gari.examples.TraceHeadlinesCache=INFO

log4j.logger.gari.net.QuipClient=WARN
log4j.logger.gari.news.HistorySearch=DEBUG
log4j.logger.gari.news.MediaConnection=INFO;

# Logfile appender
log4j.appender.logfile=org.apache.log4j.FileAppender
log4j.appender.logfile.layout=org.apache.log4j.PatternLayout
log4j.appender.logfile.layout.ConversionPattern=%d [%-15.15t] %-5p %-30.30c{1} - %m%n
log4j.appender.logfile.file=/tmp/amc.log
log4j.appender.logfile.append=true


# Console appender
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%m%n
log4j.appender.stdout.ImmediateFlush=true


# Log verbose quip information to separate log.
#log4j.logger.gari.net=DEBUG,networklog

# Network appender
#log4j.appender.networklog=org.apache.log4j.FileAppender;
#log4j.appender.networklog.layout=org.apache.log4j.PatternLayout
#log4j.appender.networklog.layout.ConversionPattern=%d [%-15.15t] %-5p %-30.30c{1} - %m%n
#log4j.appender.networklog.file=/tmp/quip.log
#log4j.appender.networklog.append=false
